Campaigns get
curl --request POST \
--url https://api.adside.ai/v1/workspaces/{workspaceId}/meta/campaigns/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaign_id": "<string>",
"campaign_name": "<string>",
"account_id": "<string>"
}
'import requests
url = "https://api.adside.ai/v1/workspaces/{workspaceId}/meta/campaigns/get"
payload = {
"campaign_id": "<string>",
"campaign_name": "<string>",
"account_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({campaign_id: '<string>', campaign_name: '<string>', account_id: '<string>'})
};
fetch('https://api.adside.ai/v1/workspaces/{workspaceId}/meta/campaigns/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adside.ai/v1/workspaces/{workspaceId}/meta/campaigns/get",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'campaign_id' => '<string>',
'campaign_name' => '<string>',
'account_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.adside.ai/v1/workspaces/{workspaceId}/meta/campaigns/get"
payload := strings.NewReader("{\n \"campaign_id\": \"<string>\",\n \"campaign_name\": \"<string>\",\n \"account_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.adside.ai/v1/workspaces/{workspaceId}/meta/campaigns/get")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"campaign_id\": \"<string>\",\n \"campaign_name\": \"<string>\",\n \"account_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adside.ai/v1/workspaces/{workspaceId}/meta/campaigns/get")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"campaign_id\": \"<string>\",\n \"campaign_name\": \"<string>\",\n \"account_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyMeta
Campaigns get
Retrieve full details for a specific campaign by ID or name. Returns all campaign fields including status, objective, budget, and timing.
CLI: adside meta campaigns get
POST
/
v1
/
workspaces
/
{workspaceId}
/
meta
/
campaigns
/
get
Campaigns get
curl --request POST \
--url https://api.adside.ai/v1/workspaces/{workspaceId}/meta/campaigns/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaign_id": "<string>",
"campaign_name": "<string>",
"account_id": "<string>"
}
'import requests
url = "https://api.adside.ai/v1/workspaces/{workspaceId}/meta/campaigns/get"
payload = {
"campaign_id": "<string>",
"campaign_name": "<string>",
"account_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({campaign_id: '<string>', campaign_name: '<string>', account_id: '<string>'})
};
fetch('https://api.adside.ai/v1/workspaces/{workspaceId}/meta/campaigns/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adside.ai/v1/workspaces/{workspaceId}/meta/campaigns/get",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'campaign_id' => '<string>',
'campaign_name' => '<string>',
'account_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.adside.ai/v1/workspaces/{workspaceId}/meta/campaigns/get"
payload := strings.NewReader("{\n \"campaign_id\": \"<string>\",\n \"campaign_name\": \"<string>\",\n \"account_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.adside.ai/v1/workspaces/{workspaceId}/meta/campaigns/get")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"campaign_id\": \"<string>\",\n \"campaign_name\": \"<string>\",\n \"account_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adside.ai/v1/workspaces/{workspaceId}/meta/campaigns/get")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"campaign_id\": \"<string>\",\n \"campaign_name\": \"<string>\",\n \"account_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.
Path Parameters
Minimum string length:
1Body
application/json
Campaign ID. Preferred when known. Provide this or campaign_name, not both.
Exact campaign name to look up (not an ID). Use campaign_id when the ID is known. Provide this or campaign_id, not both.
Meta Ad Account ID (required when using campaign_name, uses configured account if not provided)
Response
200 - application/json
Success